import { Buff, Bytes } from '@cmdcode/buff-utils';
import { Networks } from '../../schema/types.js';
export type KeyType = [
    type: keyof AddressTools,
    network: Networks
];
export interface AddressTool {
    check: (address: string, network?: Networks) => boolean;
    encode: (key: Bytes, network?: Networks) => string;
    decode: (address: string, network?: Networks) => Buff;
    script: (hash: string) => string[];
}
export interface AddressTools {
    p2pkh: AddressTool;
    p2sh: AddressTool;
    p2w: AddressTool;
    p2tr: AddressTool;
}
export declare const VALID_PREFIXES: Record<string, KeyType>;
export declare const BECH32_PREFIXES: Record<Networks, string>;
//# sourceMappingURL=schema.d.ts.map