import { TxData, InputData, OutputData, Bytes } from '../../schema/types.js';
interface HashConfig {
    extension?: Bytes;
    pubkey?: Bytes;
    sigflag?: number;
    separator_pos?: number;
    extflag?: number;
    key_version?: number;
}
export declare function signTx(prvkey: string | Uint8Array, txdata: TxData | string | Uint8Array, index: number, config?: HashConfig): string;
export declare function verifyTx(txdata: TxData | string | Uint8Array, index: number, config?: HashConfig, shouldThrow?: boolean): Promise<boolean>;
export declare function hashTx(txdata: TxData | string | Uint8Array, index: number, config?: HashConfig): Uint8Array;
export declare function hashOutpoints(vin: InputData[]): Uint8Array;
export declare function hashSequence(vin: InputData[]): Uint8Array;
export declare function hashAmounts(prevouts: OutputData[]): Uint8Array;
export declare function hashScripts(prevouts: OutputData[]): Uint8Array;
export declare function hashOutputs(vout: OutputData[]): Uint8Array;
export declare function hashOutput(vout: OutputData): Uint8Array;
export {};
//# sourceMappingURL=taproot.d.ts.map